<template>
  <q-page>
    <div class="all-posts row">
        <q-card
          class="my-card col-sm-6 col-md-6 col-lg-4"
        >
          <q-btn 
            to="/artigos/por-que-contar-caracteres"
          >
            <q-card-section>
              <div class="text-h6">Por quê devo contar caracteres no meu texto?</div>
              <div class="text-subtitle2">por contatexto</div>
            </q-card-section>

            <q-card-section 
              align="left" 
              class="q-pt-none"
            >
              {{ lorem }}
            </q-card-section>
          </q-btn>
        </q-card>

        <q-card
          class="my-card col-sm-6 col-md-6 col-lg-4"
        >
          <q-btn 
            to="/artigos/o-que-e-seo"
          >
            <q-card-section>
              <div class="text-h6">O que é SEO e por que é importante?</div>
              <div class="text-subtitle2">por contatexto</div>
            </q-card-section>

            <q-card-section 
              align="left" 
              class="q-pt-none"
            >
              {{ lorem1 }}
            </q-card-section>
          </q-btn>
        </q-card>
    </div>
  </q-page>
</template>

<script>
export default {
  name: 'PageIndex',
  data () {
    return {
      lorem: 'A contagem de caracteres é imprescindível no gerenciamento da criação de texto e de conteúdo no geral, e pode nos fornecer inúmeras vantagens referentes à qualidade da escrita...',
      lorem1: 'SEO significa, Search Engine Optimization, ou Optimização de Motores de Busca. Isso significa que são metodologias e técnicas responsáveis por otimizar a entrega das páginas...'
    }
  },
  meta: {
    // sets document title
    title: 'Artigos',
    // optional; sets final title as "Index Page - My Website", useful for multiple level meta
    titleTemplate: title => `${title} - Contatexto`,

    // meta tags
    meta: {
      description: { name: 'description', content: 'Página de artigos' },
      keywords: { name: 'keywords', content: 'contar texto' },
      equiv: { 'http-equiv': 'Content-Type', content: 'text/html; charset=UTF-8' },
      // note: for Open Graph type metadata you will need to use SSR, to ensure page is rendered by the server
      ogTitle:  {
        name: 'og:title',
        // optional; similar to titleTemplate, but allows templating with other meta properties
        template (ogTitle) {
          return `${ogTitle} - Contatexto`
        }
      }
    },
  }
}
</script>

<style scoped lang='sass'>
  .row 
    margin-left: 1.25rem
    margin-right: 1.25rem
    padding-top: 1rem
    font-size: 1rem  


  .q-btn 
    text-transform: none
    text-align: left

  .q-card__section
    text-align: left

  .my-card
    margin-bottom: 1.5rem
    transition: all 500ms ease-in-out

  .my-card:hover 
    box-shadow: 0px 12px 30px 0px rgba(0, 0, 0, 0.2)
    transition: all 625ms cubic-bezier(0.19, 1, 0.22, 1)

  @media screen and (min-width: 768px)
    .my-card
      margin-left: 1rem
      margin-right: 1rem
</style>
